<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/entities/items/expansionwheel.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d6c/a02969_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionwheel.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d6c/a02969.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d0e/a07385.html">ExpansionWheelBase</a> : <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d0/d0e/a07385.html#a6c507f99412cc9a08387015a48f910c3">    3</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d0/d0e/a07385.html#a6c507f99412cc9a08387015a48f910c3">m_Mass</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d0/d0e/a07385.html#a3ec8d96113a0bd814081ba3cfd04fe59">    4</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d0/d0e/a07385.html#a3ec8d96113a0bd814081ba3cfd04fe59">m_Radius</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d0/d0e/a07385.html#ac08b60c89b94147e3e1c4baa68613b29">    5</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d0/d0e/a07385.html#ac08b60c89b94147e3e1c4baa68613b29">m_Friction</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d0/d0e/a07385.html#a0cce0fa7541e2d73cc677e20bbcb63ea">    6</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d0/d0e/a07385.html#a0cce0fa7541e2d73cc677e20bbcb63ea">m_Width</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d0/d0e/a07385.html#a2a7601a9f58e7482714080bbdfeac234">    8</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d0/d0e/a07385.html#a2a7601a9f58e7482714080bbdfeac234">m_TyreRollResistance</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d0/d0e/a07385.html#a3e4b2054a3dc04de47e2eb80548b30ab">    9</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d0/d0e/a07385.html#a3e4b2054a3dc04de47e2eb80548b30ab">m_TyreRollDrag</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d0/d0e/a07385.html#a36b6306368002354e1365a6875c65707">   10</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d0/d0e/a07385.html#a36b6306368002354e1365a6875c65707">m_TyreRoughness</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d0/d0e/a07385.html#ada4971542aa99742c3f7a6dad0e84846">   11</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d0/d0e/a07385.html#ada4971542aa99742c3f7a6dad0e84846">m_TyreTread</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d0/d0e/a07385.html#aea5c9bf832d86d2f13862c62d136938b">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0e/a07385.html#aea5c9bf832d86d2f13862c62d136938b">ExpansionWheelBase</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordtype">string</span> path;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        path = <span class="stringliteral">&quot;CfgVehicles &quot;</span> + <a class="code hl_function" href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>() + <span class="stringliteral">&quot; mass&quot;</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../d0/d0e/a07385.html#a6c507f99412cc9a08387015a48f910c3">m_Mass</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        path = <span class="stringliteral">&quot;CfgVehicles &quot;</span> + <a class="code hl_function" href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>() + <span class="stringliteral">&quot; radius&quot;</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d0/d0e/a07385.html#a3ec8d96113a0bd814081ba3cfd04fe59">m_Radius</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        path = <span class="stringliteral">&quot;CfgVehicles &quot;</span> + <a class="code hl_function" href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>() + <span class="stringliteral">&quot; friction&quot;</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../d0/d0e/a07385.html#ac08b60c89b94147e3e1c4baa68613b29">m_Friction</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        path = <span class="stringliteral">&quot;CfgVehicles &quot;</span> + <a class="code hl_function" href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>() + <span class="stringliteral">&quot; width&quot;</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../d0/d0e/a07385.html#a0cce0fa7541e2d73cc677e20bbcb63ea">m_Width</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        path = <span class="stringliteral">&quot;CfgVehicles &quot;</span> + <a class="code hl_function" href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>() + <span class="stringliteral">&quot; tyreRollResistance&quot;</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../d0/d0e/a07385.html#a2a7601a9f58e7482714080bbdfeac234">m_TyreRollResistance</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        path = <span class="stringliteral">&quot;CfgVehicles &quot;</span> + <a class="code hl_function" href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>() + <span class="stringliteral">&quot; tyreRollDrag&quot;</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d0/d0e/a07385.html#a3e4b2054a3dc04de47e2eb80548b30ab">m_TyreRollDrag</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        path = <span class="stringliteral">&quot;CfgVehicles &quot;</span> + <a class="code hl_function" href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>() + <span class="stringliteral">&quot; tyreRoughness&quot;</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_variable" href="../../d0/d0e/a07385.html#a36b6306368002354e1365a6875c65707">m_TyreRoughness</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        path = <span class="stringliteral">&quot;CfgVehicles &quot;</span> + <a class="code hl_function" href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>() + <span class="stringliteral">&quot; tyreTread&quot;</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_variable" href="../../d0/d0e/a07385.html#ada4971542aa99742c3f7a6dad0e84846">m_TyreTread</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d0/d0e/a07385.html#a46c1e78eb0ce7a23a2c7f677dfbb614b">   42</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d0e/a07385.html#a46c1e78eb0ce7a23a2c7f677dfbb614b">Expansion_CarContactActivates</a>()</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>};</div>
<div class="ttc" id="aa00722_html_abf2f1d0d1afc0eaf2994523ab122712c"><div class="ttname"><a href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a></div><div class="ttdeci">ExpansionNotificationType GetType()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00045">notificationruntimedata.c:45</a></div></div>
<div class="ttc" id="aa03665_html"><div class="ttname"><a href="../../d1/df9/a03665.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa07385_html"><div class="ttname"><a href="../../d0/d0e/a07385.html">ExpansionWheelBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dbc/a02954_source.html#l00001">expansion250nwheels.c:2</a></div></div>
<div class="ttc" id="aa07385_html_a0cce0fa7541e2d73cc677e20bbcb63ea"><div class="ttname"><a href="../../d0/d0e/a07385.html#a0cce0fa7541e2d73cc677e20bbcb63ea">ExpansionWheelBase::m_Width</a></div><div class="ttdeci">float m_Width</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6c/a02969_source.html#l00006">expansionwheel.c:6</a></div></div>
<div class="ttc" id="aa07385_html_a2a7601a9f58e7482714080bbdfeac234"><div class="ttname"><a href="../../d0/d0e/a07385.html#a2a7601a9f58e7482714080bbdfeac234">ExpansionWheelBase::m_TyreRollResistance</a></div><div class="ttdeci">float m_TyreRollResistance</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6c/a02969_source.html#l00008">expansionwheel.c:8</a></div></div>
<div class="ttc" id="aa07385_html_a36b6306368002354e1365a6875c65707"><div class="ttname"><a href="../../d0/d0e/a07385.html#a36b6306368002354e1365a6875c65707">ExpansionWheelBase::m_TyreRoughness</a></div><div class="ttdeci">float m_TyreRoughness</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6c/a02969_source.html#l00010">expansionwheel.c:10</a></div></div>
<div class="ttc" id="aa07385_html_a3e4b2054a3dc04de47e2eb80548b30ab"><div class="ttname"><a href="../../d0/d0e/a07385.html#a3e4b2054a3dc04de47e2eb80548b30ab">ExpansionWheelBase::m_TyreRollDrag</a></div><div class="ttdeci">float m_TyreRollDrag</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6c/a02969_source.html#l00009">expansionwheel.c:9</a></div></div>
<div class="ttc" id="aa07385_html_a3ec8d96113a0bd814081ba3cfd04fe59"><div class="ttname"><a href="../../d0/d0e/a07385.html#a3ec8d96113a0bd814081ba3cfd04fe59">ExpansionWheelBase::m_Radius</a></div><div class="ttdeci">float m_Radius</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6c/a02969_source.html#l00004">expansionwheel.c:4</a></div></div>
<div class="ttc" id="aa07385_html_a46c1e78eb0ce7a23a2c7f677dfbb614b"><div class="ttname"><a href="../../d0/d0e/a07385.html#a46c1e78eb0ce7a23a2c7f677dfbb614b">ExpansionWheelBase::Expansion_CarContactActivates</a></div><div class="ttdeci">override bool Expansion_CarContactActivates()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6c/a02969_source.html#l00042">expansionwheel.c:42</a></div></div>
<div class="ttc" id="aa07385_html_a6c507f99412cc9a08387015a48f910c3"><div class="ttname"><a href="../../d0/d0e/a07385.html#a6c507f99412cc9a08387015a48f910c3">ExpansionWheelBase::m_Mass</a></div><div class="ttdeci">float m_Mass</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6c/a02969_source.html#l00003">expansionwheel.c:3</a></div></div>
<div class="ttc" id="aa07385_html_ac08b60c89b94147e3e1c4baa68613b29"><div class="ttname"><a href="../../d0/d0e/a07385.html#ac08b60c89b94147e3e1c4baa68613b29">ExpansionWheelBase::m_Friction</a></div><div class="ttdeci">float m_Friction</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6c/a02969_source.html#l00005">expansionwheel.c:5</a></div></div>
<div class="ttc" id="aa07385_html_ada4971542aa99742c3f7a6dad0e84846"><div class="ttname"><a href="../../d0/d0e/a07385.html#ada4971542aa99742c3f7a6dad0e84846">ExpansionWheelBase::m_TyreTread</a></div><div class="ttdeci">float m_TyreTread</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6c/a02969_source.html#l00011">expansionwheel.c:11</a></div></div>
<div class="ttc" id="aa07385_html_aea5c9bf832d86d2f13862c62d136938b"><div class="ttname"><a href="../../d0/d0e/a07385.html#aea5c9bf832d86d2f13862c62d136938b">ExpansionWheelBase::ExpansionWheelBase</a></div><div class="ttdeci">void ExpansionWheelBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6c/a02969_source.html#l00013">expansionwheel.c:13</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_b27e8102d55cc5d44e37d1ed7930554c.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_3f2592a00511be82316c608454efef37.html">items</a></li><li class="navelem"><a class="el" href="../../db/d6c/a02969.html">expansionwheel.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
